package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.basic.api.CourseCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetCourseReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveCourseReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetCourseResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveCourseResp;

@Service
public class CourseCloudServiceClient extends BasicCloudClientSupport
		implements
			CourseCloudService {

	@Autowired
	private RestTemplate restTemplate;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveCourseResp saveCourse(SaveCourseReq req) {
		return post("course/saveCourse", req, SaveCourseResp.class);
	}

	@Override
	public GetCourseResp getCourse(GetCourseReq req) {
		return post("course/getCourse", req, GetCourseResp.class);
	}

}
